"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CustomConnector = void 0;
const core_1 = require("@material-ui/core");
const styles_1 = require("@material-ui/styles");
const CustomConnector = ({ activeLineColor, completedLineColor, lineColor, }) => (0, styles_1.withStyles)({
    alternativeLabel: {
        top: 10,
        left: "calc(-50% + 16px)",
        right: "calc(50% + 16px)",
    },
    active: {
        "& $line": Object.assign({}, (activeLineColor && { borderColor: activeLineColor })),
    },
    completed: {
        "& $line": Object.assign({}, (completedLineColor && { borderColor: completedLineColor })),
    },
    line: Object.assign(Object.assign({}, (lineColor && { borderColor: lineColor })), { borderTopWidth: 3, borderRadius: 1 }),
})(core_1.StepConnector);
exports.CustomConnector = CustomConnector;
//# sourceMappingURL=CustomConnector.js.map