import React, { PropsWithChildren } from "react";
export interface DataStatePropTypes<T extends string | undefined> {
    messages: [T, T];
    image: JSX.Element;
    hideErrorHeader?: boolean;
}
export declare const DataState: <T extends string | undefined = string>({ messages, image, children, hideErrorHeader, }: React.PropsWithChildren<DataStatePropTypes<T>>) => JSX.Element;
