"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmptyState = void 0;
const icons_1 = require("@material-ui/icons");
const react_1 = __importDefault(require("react"));
const DataState_1 = require("./DataState");
const EmptyState = ({ messages, image, children, }) => {
    const defaultMessages = [
        (messages === null || messages === void 0 ? void 0 : messages[0]) || "No data available",
        (messages === null || messages === void 0 ? void 0 : messages[1]) || "",
    ];
    return (react_1.default.createElement(DataState_1.DataState, { messages: defaultMessages, image: image || react_1.default.createElement(icons_1.Equalizer, null) }, children));
};
exports.EmptyState = EmptyState;
//# sourceMappingURL=EmptyState.js.map