import { Dispatch, SetStateAction } from "react";
import { TableProps } from "../types";
export interface TableActionProps<T> extends Pick<TableProps<T>, "actions" | "tableStatus" | "setTableStatus" | "actionsNotification"> {
    row: T;
    newRow: T;
    setNewRow?: Dispatch<SetStateAction<T>>;
    selectKey: keyof T;
    disabled: boolean;
    setActionableRow: Dispatch<SetStateAction<boolean>>;
}
export declare const TableActions: <T>({ row, newRow, setNewRow, actions, actionsNotification, tableStatus, setTableStatus, selectKey, disabled, setActionableRow, }: TableActionProps<T>) => JSX.Element;
