/// <reference types="react" />
import { TableActionsType, TableColumnProps } from "../types";
export declare const ROW_ACTION_SKELETON_WIDTH = 40;
export interface TableLoadingStateProps<T> {
    columns: TableColumnProps<T>[];
    actions?: TableActionsType<T>;
    numberOfRows?: number;
}
export declare const TableLoadingState: <T>({ columns, actions, numberOfRows, }: TableLoadingStateProps<T>) => JSX.Element;
