import { Dispatch, SetStateAction } from "react";
import { TableColumnProps, TableProps } from "../types";
export interface TableEditCellProps<T> extends Pick<TableProps<T>, "tableStatus" | "setTableStatus"> {
    row: T;
    column: TableColumnProps<T>;
    setRow: Dispatch<SetStateAction<T>>;
    onChange?: (value: any, setRow: Dispatch<SetStateAction<T>>, option?: any) => void;
}
export declare const TableEditCell: <T>({ column, tableStatus, setTableStatus, row, setRow, onChange, }: TableEditCellProps<T>) => JSX.Element;
