/// <reference types="react" />
import { TableEditCellProps } from "./TableEditCell";
export interface TableLookupCellProps<T> extends TableEditCellProps<T> {
    value: NonNullable<T>[keyof T] | string;
    clearError: () => void;
    hasError: boolean;
    errorMessage: string;
    field: keyof T;
}
export declare const TableLookupCell: <T>({ column, clearError, setRow, value, hasError, errorMessage, field, onChange, row, }: TableLookupCellProps<T>) => JSX.Element;
