export interface Image {
    url: string;
    alt: string;
    caption?: string;
}
export interface ExtendedTheme {
    imgWidth?: string;
    imgHeight?: string;
    containerWidth?: string;
    containerHeight?: string;
    buttonHeight?: string;
    buttonBorderRadius?: string;
}
export interface BasicImageSliderProps extends ExtendedTheme {
    className?: string;
    showCaption?: boolean;
    images: Image[];
    interval?: number;
}
