/// <reference types="react" />
export interface ColorPickerProps {
    name: string;
    id?: string;
    className?: string;
    label: React.ReactNode;
    required?: boolean;
    fieldRequiredText?: string;
    validationErrorText?: string;
    placeholderText?: string;
    width?: string;
    maxWidth?: string;
    height?: string;
    maxHeight?: string;
    padding?: string;
    margin?: string;
}
export interface ColorPickerStyle {
    color: string;
    width?: string;
    height?: string;
    maxWidth?: string;
    maxHeight?: string;
    padding?: string;
    margin?: string;
}
