import styled from "styled-components";
export const Image = styled.img `
  width: ${({ width }) => width};
  height: ${({ height }) => height};
  padding: ${({ padding }) => padding};
  margin: ${({ margin }) => margin};
  border: ${({ border }) => border};
  border-radius: ${({ borderRadius }) => borderRadius};
  opacity: ${({ opacity }) => opacity};
  ${({ backgroundColor }) => backgroundColor ? `background-color: ${backgroundColor};` : ""}

  &.inversed {
    -webkit-transform: rotateX(180deg);
    transform: rotateX(180deg);
  }
`;
//# sourceMappingURL=styles.js.map