import { makeStyles } from "@material-ui/styles";
export const useStyle = makeStyles({
    root: ({ padding, margin, outline, border, width, height, maxWidth, maxHeight, backgroundColor, textColor, borderRadius, cursor, hoverBackgroundColor, hoverTextColor, }) => ({
        padding,
        margin,
        outline,
        border,
        borderRadius,
        width,
        height,
        maxWidth,
        maxHeight,
        backgroundColor,
        color: textColor,
        cursor,
        "&:hover": {
            backgroundColor: hoverBackgroundColor,
            color: hoverTextColor,
        },
    }),
});
//# sourceMappingURL=styles.js.map