import TextField from "@material-ui/core/TextField";
import classNames from "classnames";
import React from "react";
import { useStyle } from "../styles";
export const HiddenInput = ({ className, name, id, type, value, padding, margin, }) => {
    const classes = useStyle({
        padding,
        margin,
    });
    return (React.createElement(TextField, { className: classNames(classes.root, className), name: name, id: id, type: type, value: value }));
};
//# sourceMappingURL=HiddenInput.js.map