import { Snackbar } from "@material-ui/core";
import { Alert } from "@material-ui/lab";
import React, { useState } from "react";
export const Notification = ({ type, message, icon = null, showTime = 5000, }) => {
    const [isOpen, setIsOpen] = useState(true);
    const handleClose = () => {
        setIsOpen(false);
    };
    return (React.createElement(Snackbar, { open: isOpen, autoHideDuration: showTime, onClose: handleClose },
        React.createElement(Alert, { onClose: handleClose, severity: type, icon: icon }, message)));
};
//# sourceMappingURL=Notification.js.map