import { Equalizer } from "@material-ui/icons";
import React from "react";
import { DataState } from "./DataState";
export const EmptyState = ({ messages, image, children, }) => {
    const defaultMessages = [
        (messages === null || messages === void 0 ? void 0 : messages[0]) || "No data available",
        (messages === null || messages === void 0 ? void 0 : messages[1]) || "",
    ];
    return (React.createElement(DataState, { messages: defaultMessages, image: image || React.createElement(Equalizer, null) }, children));
};
//# sourceMappingURL=EmptyState.js.map