import React, { PropsWithChildren } from "react";
import { TableProps } from "./types";
export declare const DEFAULT_ITEMS_PER_PAGE = 10;
export declare const Table: <GenericData extends {
    className?: string | undefined;
}>({ data, columns, actions, border, pagination, onRowClick, error, loading, selectKey, customStyle, className, paginationClassName, actionsNotification, EmptyStateComponent, hoverableTableRow, totalItems, page, limit, rowsPerPageOptions, tableFilters, order, orderBy, setPage, setLimit, setTableFilters, setOrderBy, selectedRows, tableStatus, setTableStatus, isDisabled, collapsableRows, ExpandableRowContent, hasSummaryRow, SummaryRowContent, isHighlighted, hiddenHeader, resizeColumns, hideErrorHeader, }: React.PropsWithChildren<TableProps<GenericData>>) => JSX.Element;
