import { MaterialUiPickersDate } from "@material-ui/pickers/typings/date";
import { ChangeEvent } from "react";
import { FiltersType, TableColumnProps } from "../types";
export interface TableColumnFilterProps<T> {
    columns: TableColumnProps<T>[];
    onChange: (e: ChangeEvent<HTMLTextAreaElement | HTMLInputElement> | MaterialUiPickersDate, column: TableColumnProps<T>, isStartDate?: boolean) => void;
    filters: FiltersType<T>;
    classes: Record<string, string>;
    hasActions: boolean;
}
export declare const TableColumnFilter: <T>({ columns, onChange, filters, classes, hasActions, }: TableColumnFilterProps<T>) => JSX.Element;
