import { TableCell } from "@material-ui/core";
import { Skeleton } from "@material-ui/lab";
import React from "react";
import { useTableRowStyles } from "./styles";
export const TableLoadingRow = ({ columns, }) => {
    const classes = useTableRowStyles();
    return (React.createElement(React.Fragment, null, columns.map((_, cellIndex) => (React.createElement(TableCell, { key: cellIndex, className: classes.slimmerRow },
        React.createElement("div", { className: classes.emptyStateContainer },
            React.createElement(Skeleton, { animation: "pulse" })))))));
};
//# sourceMappingURL=TableLoadingRow.js.map