import { format } from "date-fns";
export const defaultDateFormat = "YYYY/MM/DD HH:mm:ss";
export const defaultAmountFormat = {
    hasDecimalSeparator: true,
    decimalSeparator: ".",
    hasThousandsSeparator: false,
    thousandsSeparator: ",",
};
export const formatDate = (value, dateFormat = defaultDateFormat) => value
    ? format(typeof value === "string" ? new Date(value) : value, dateFormat)
    : "";
//# sourceMappingURL=formatDate.js.map