export const getFieldValue = (target) => {
    switch (target.type) {
        case "amount":
        case "number":
            return isNaN(target.valueAsNumber) ? null : target.valueAsNumber;
        case "checkbox":
            return target.checked;
        default:
            return target.value === "" ? null : target.value;
    }
};
//# sourceMappingURL=getFieldValue.js.map