"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FooterContainer = exports.TitleWrapper = exports.useStyles = void 0;
const core_1 = require("@material-ui/core");
const styled_components_1 = __importDefault(require("styled-components"));
exports.useStyles = (0, core_1.makeStyles)(() => (0, core_1.createStyles)({
    root: ({ padding, margin, outline, boxShadow, border, hoverBorder, maxWidth, width, height, maxHeight, backgroundColor, textColor, hoverBackground, hoverTextColor, borderRadius, cursor, }) => (Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({ display: "flex", flexDirection: "column" }, (padding && { padding })), (margin && { margin })), (outline && { outline })), (boxShadow && { boxShadow })), (border && { border })), (maxWidth && { maxWidth })), (width && { width })), (height && { height })), (maxHeight && { maxHeight })), (backgroundColor && { backgroundColor })), (textColor && { color: textColor })), (borderRadius && { borderRadius })), (cursor && { cursor })), { "&:hover": Object.assign(Object.assign(Object.assign({}, (hoverBorder && { border: hoverBorder })), (hoverBackground && { backgroundColor: hoverBackground })), (hoverTextColor && { color: hoverTextColor })) })),
    content: {
        flex: 1,
    },
}));
exports.TitleWrapper = styled_components_1.default.span `
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
`;
exports.FooterContainer = styled_components_1.default.div `
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: ${({ withContent, withTitle, withButton }) => {
    if (withContent) {
        return "center";
    }
    if (withTitle && withButton) {
        return "space-between";
    }
    return "center";
}};
`;
//# sourceMappingURL=styles.js.map