"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useColorPickerStyles = void 0;
const core_1 = require("@material-ui/core");
exports.useColorPickerStyles = (0, core_1.makeStyles)((theme) => (0, core_1.createStyles)({
    root: ({ padding, margin, width, height, maxWidth, maxHeight }) => (Object.assign(Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({}, (padding && { padding })), (margin && { margin })), (height && { height })), (width && { width })), (maxHeight && { maxHeight })), (maxWidth && { maxWidth }))),
    pickerButton: {
        width: 25,
        minWidth: 25,
        height: 25,
        borderRadius: "3px",
        backgroundColor: ({ color }) => color || theme.palette.grey[100],
        padding: 0,
        position: "relative",
        marginRight: theme.spacing(1.5),
        "&::before": {
            position: "absolute",
            content: ({ color }) => (color ? "none" : '""'),
            width: "125%",
            height: 1,
            backgroundColor: theme.palette.grey[400],
            transform: "rotate(45deg)",
        },
        "&::after": {
            position: "absolute",
            content: ({ color }) => (color ? "none" : '""'),
            width: "125%",
            height: 1,
            backgroundColor: theme.palette.grey[400],
            transform: "rotate(-45deg)",
        },
        "&:hover": {
            backgroundColor: ({ color }) => color || theme.palette.grey[100],
        },
    },
    popoverPaper: {
        width: 230,
        height: 230,
        display: "flex",
        justifyContent: "center",
        alignItems: "center",
        backgroundColor: "transparent",
        boxShadow: "none",
    },
}), { index: 1 });
//# sourceMappingURL=styles.js.map