"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Icon = void 0;
const react_1 = __importDefault(require("react"));
const colors_1 = require("../../constants/colors");
const defaultLayouts_1 = require("../../constants/defaultLayouts");
const styles_1 = require("./styles");
const Icon = ({ src, className, id, margin = defaultLayouts_1.DEFAULT_ICON_MARGIN, padding = defaultLayouts_1.DEFAULT_ICON_PADDING, border = colors_1.NONE, borderRadius = defaultLayouts_1.DEFAULT_BORDER_RADIUS, backgroundColor, width = defaultLayouts_1.DEFAULT_WIDTH, height = defaultLayouts_1.DEFAULT_HEIGHT, opacity = colors_1.DEFAULT_OPACITY, onClick, }) => (react_1.default.createElement(styles_1.Image, { src: src, className: className, onClick: onClick, width: width, height: height, id: id, margin: margin, padding: padding, border: border, borderRadius: borderRadius, backgroundColor: backgroundColor, opacity: opacity }));
exports.Icon = Icon;
//# sourceMappingURL=Icon.js.map