"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Image = void 0;
const styled_components_1 = __importDefault(require("styled-components"));
exports.Image = styled_components_1.default.img `
  width: ${({ width }) => width};
  height: ${({ height }) => height};
  padding: ${({ padding }) => padding};
  margin: ${({ margin }) => margin};
  border: ${({ border }) => border};
  border-radius: ${({ borderRadius }) => borderRadius};
  opacity: ${({ opacity }) => opacity};
  ${({ backgroundColor }) => backgroundColor ? `background-color: ${backgroundColor};` : ""}

  &.inversed {
    -webkit-transform: rotateX(180deg);
    transform: rotateX(180deg);
  }
`;
//# sourceMappingURL=styles.js.map