/// <reference types="react" />
import { CheckboxInputProps } from "./types";
import { ContainerProps, ErrorProps, LabelProps } from "./types/styleTypes";
export declare const Container: import("styled-components").StyledComponent<"div", any, ContainerProps, never>;
export declare const Label: import("styled-components").StyledComponent<"label", any, LabelProps, never>;
export declare const InputWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const InputField: import("styled-components").StyledComponent<"input", any, import("./types").BaseInputProps | import("./types").TextInputProps | import("./types").NumberInputProps | import("./types").PasswordInputProps | import("./types").EmailInputProps | CheckboxInputProps | import("./types").RadioInputProps | import("./types").FileInputProps, never>;
export declare const Error: import("styled-components").StyledComponent<"span", any, ErrorProps, never>;
export interface FileHelperTextProps {
    error: boolean;
    helperText: boolean;
    errorBackgroundColor?: string;
    errorTextColor?: string;
    helperTextBackgroundColor?: string;
    helperTextTextColor?: string;
}
export declare const FileHelperText: import("styled-components").StyledComponent<"span", any, FileHelperTextProps, never>;
export interface InputFieldStyleProps {
    padding?: string;
    margin?: string;
    errorBackgroundColor?: string;
    errorTextColor?: string;
    textColor?: string;
    helperTextBackgroundColor?: string;
    helperTextTextColor?: string;
    icon?: JSX.Element;
}
export declare const useStyle: (props: InputFieldStyleProps) => import("@material-ui/styles").ClassNameMap<"error" | "root" | "textColor" | "helperText">;
