/// <reference types="react" />
export interface ModalPropTypes {
    header?: React.ReactChild;
    footer?: React.ReactChild;
    open: boolean;
    onClose: () => void;
    disableBackdropClick?: boolean;
    className?: string;
    id?: string;
    maxWidth?: string;
    maxHeight?: string;
    width?: string;
    height?: string;
    backgroundColor?: string;
    textColor?: string;
    border?: string;
    borderRadius?: string;
    outline?: string;
    padding?: string;
    margin?: string;
    headerBackgroundColor?: string;
    headerTextColor?: string;
}
export interface ModalStyleProps {
    hasFooter: boolean;
    maxWidth?: string;
    maxHeight?: string;
    width?: string;
    height?: string;
    backgroundColor?: string;
    textColor?: string;
    border?: string;
    borderRadius?: string;
    outline?: string;
    padding?: string;
    margin?: string;
    headerBackgroundColor?: string;
    headerTextColor?: string;
}
