"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Notification = void 0;
const core_1 = require("@material-ui/core");
const lab_1 = require("@material-ui/lab");
const react_1 = __importStar(require("react"));
const Notification = ({ type, message, icon = null, showTime = 5000, }) => {
    const [isOpen, setIsOpen] = (0, react_1.useState)(true);
    const handleClose = () => {
        setIsOpen(false);
    };
    return (react_1.default.createElement(core_1.Snackbar, { open: isOpen, autoHideDuration: showTime, onClose: handleClose },
        react_1.default.createElement(lab_1.Alert, { onClose: handleClose, severity: type, icon: icon }, message)));
};
exports.Notification = Notification;
//# sourceMappingURL=Notification.js.map