"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataState = void 0;
const core_1 = require("@material-ui/core");
const react_1 = __importDefault(require("react"));
const styles_1 = require("./styles");
const DataState = ({ messages, image, children, hideErrorHeader = false, }) => {
    const classes = (0, styles_1.useDataStateStyles)();
    return (react_1.default.createElement("div", { className: classes.root },
        image,
        react_1.default.createElement("div", { className: classes.container },
            !hideErrorHeader && (react_1.default.createElement(core_1.Typography, { variant: "h4", gutterBottom: true }, messages[0])),
            !!messages[1] && (react_1.default.createElement(core_1.Typography, { variant: "h6", gutterBottom: true }, messages[1])),
            react_1.default.createElement("div", { className: classes.action }, children))));
};
exports.DataState = DataState;
//# sourceMappingURL=DataState.js.map