import { PropTypes } from "@material-ui/core";
import { Dispatch, SetStateAction } from "react";
export interface Action<T> {
    label: string;
    onClick: (row: T) => void;
    enabled?: boolean;
    isPermitted?: boolean;
}
export interface RowPopupProps<T> {
    actions: Action<T>[];
    className?: string;
    color?: PropTypes.Color;
    row?: T;
    setActionableRow?: Dispatch<SetStateAction<boolean>>;
}
export declare const RowPopup: <T>({ row, actions, className, color, setActionableRow, }: RowPopupProps<T>) => JSX.Element;
