"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RowPopup = void 0;
const core_1 = require("@material-ui/core");
const MoreVert_1 = __importDefault(require("@material-ui/icons/MoreVert"));
const material_ui_popup_state_1 = __importStar(require("material-ui-popup-state"));
const react_1 = __importDefault(require("react"));
const RowPopup = ({ row, actions, className, color, setActionableRow, }) => (react_1.default.createElement(material_ui_popup_state_1.default, { variant: "popover", popupId: "select-column" }, (popupState) => {
    setActionableRow === null || setActionableRow === void 0 ? void 0 : setActionableRow(popupState.isOpen);
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement(core_1.IconButton, Object.assign({ className: className, color: color, disabled: !actions.length, "aria-label": "cancel" }, (0, material_ui_popup_state_1.bindTrigger)(popupState), { onClick: (e) => {
                e.stopPropagation();
                (0, material_ui_popup_state_1.bindTrigger)(popupState).onClick(e);
            }, size: "small" }),
            react_1.default.createElement(MoreVert_1.default, null)),
        react_1.default.createElement(core_1.Menu, Object.assign({}, (0, material_ui_popup_state_1.bindMenu)(popupState)), actions.map(({ label, onClick, enabled = true, isPermitted = true }, index) => isPermitted && (react_1.default.createElement(core_1.MenuItem, { key: index, disabled: !enabled, onClick: (e) => {
                e.stopPropagation();
                if (row) {
                    onClick(row);
                }
                else {
                    onClick({});
                }
                popupState.close();
            } }, label))))));
}));
exports.RowPopup = RowPopup;
//# sourceMappingURL=RowPopup.js.map