import React, { PropsWithChildren } from "react";
import { TableProps } from "../types";
export declare type TableFooterProps<T> = Pick<TableProps<T>, "pagination" | "paginationClassName" | "totalItems" | "limit" | "page" | "rowsPerPageOptions" | "setTableStatus" | "setLimit" | "setPage">;
export declare const TableFooter: <T>({ pagination, paginationClassName, limit, page, totalItems, rowsPerPageOptions, setTableStatus, setLimit, setPage, }: React.PropsWithChildren<TableFooterProps<T>>) => JSX.Element;
