/// <reference types="react" />
import { TableProps } from "../types";
export interface TableHeadProps<T> extends Pick<TableProps<T>, "columns" | "border" | "customStyle" | "actions" | "tableStatus" | "setTableStatus" | "order" | "orderBy" | "setOrderBy" | "resizeColumns"> {
    hidden?: boolean;
}
export declare const TableHead: <T>({ columns, border, customStyle, actions, tableStatus, setTableStatus, order, orderBy, setOrderBy, hidden, resizeColumns, }: TableHeadProps<T>) => JSX.Element;
