"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableDeleteRow = void 0;
const core_1 = require("@material-ui/core");
const react_1 = __importDefault(require("react"));
const styles_1 = require("./styles");
const TableLoadingRow_1 = require("./TableLoadingRow");
const TableDeleteRow = ({ columns, tableStatus, }) => {
    const classes = (0, styles_1.useTableRowStyles)();
    return (react_1.default.createElement(react_1.default.Fragment, null, (tableStatus === null || tableStatus === void 0 ? void 0 : tableStatus.loading) ? (react_1.default.createElement(TableLoadingRow_1.TableLoadingRow, { columns: columns })) : (react_1.default.createElement(core_1.TableCell, { className: classes.slimmerRow, colSpan: columns.length, onClick: (event) => event.stopPropagation() }, "Are you sure you want to delete this row?"))));
};
exports.TableDeleteRow = TableDeleteRow;
//# sourceMappingURL=TableDeleteRow.js.map