import { Dispatch, SetStateAction } from "react";
import { TableProps } from "../types";
export interface TableEditRowProps<T> extends Pick<TableProps<T>, "columns" | "tableStatus" | "setTableStatus"> {
    row: T;
    setRow: Dispatch<SetStateAction<T>>;
}
export declare const TableEditRow: <T>({ columns, tableStatus, setTableStatus, row, setRow, }: TableEditRowProps<T>) => JSX.Element;
