"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TableLoadingRow = void 0;
const core_1 = require("@material-ui/core");
const lab_1 = require("@material-ui/lab");
const react_1 = __importDefault(require("react"));
const styles_1 = require("./styles");
const TableLoadingRow = ({ columns, }) => {
    const classes = (0, styles_1.useTableRowStyles)();
    return (react_1.default.createElement(react_1.default.Fragment, null, columns.map((_, cellIndex) => (react_1.default.createElement(core_1.TableCell, { key: cellIndex, className: classes.slimmerRow },
        react_1.default.createElement("div", { className: classes.emptyStateContainer },
            react_1.default.createElement(lab_1.Skeleton, { animation: "pulse" })))))));
};
exports.TableLoadingRow = TableLoadingRow;
//# sourceMappingURL=TableLoadingRow.js.map