/// <reference types="react" />
import { TableProps } from "../types";
export interface TableRowPropTypes<T> extends Pick<TableProps<T>, "columns" | "tableStatus" | "selectKey" | "actions" | "onRowClick" | "setTableStatus" | "hoverableTableRow" | "actionsNotification" | "collapsableRows" | "isDisabled" | "ExpandableRowContent" | "isHighlighted"> {
    row: T & {
        className?: string;
    };
    selectKey: keyof T;
    hasActions: boolean;
    selectedRows: T[keyof T][];
}
export declare const TableRow: <T>({ row, columns, tableStatus, selectKey, hasActions, selectedRows, actions, onRowClick, setTableStatus, hoverableTableRow, actionsNotification, isDisabled, collapsableRows, ExpandableRowContent, isHighlighted, }: TableRowPropTypes<T>) => JSX.Element;
