export declare enum DatePickerTypes {
    DATE_PICKER = "date",
    TIME_PICKER = "time",
    DATE_TIME_PICKER = "date-time"
}
export interface DatePickerProps {
    className?: string;
    id?: string;
    name?: string;
    value?: string;
    type?: DatePickerTypes;
    format?: string;
    width?: string;
    height?: string;
    maxWidth?: string;
    maxHeight?: string;
    padding?: string;
    margin?: string;
    backgroundColor?: string;
    labelText?: string;
    disablePast?: boolean;
    disabled?: boolean;
    onChange: (...args: any[]) => void;
    onFocus?: (...args: any[]) => void;
    onBlur?: (...args: any[]) => void;
}
export interface DatePickerStyleProps {
    width?: string;
    height?: string;
    maxWidth?: string;
    maxHeight?: string;
    padding?: string;
    margin?: string;
    backgroundColor?: string;
}
