import React from "react";
import { DEFAULT_OPACITY, NONE } from "../../constants/colors";
import { DEFAULT_BORDER_RADIUS, DEFAULT_HEIGHT, DEFAULT_ICON_MARGIN, DEFAULT_ICON_PADDING, DEFAULT_WIDTH, } from "../../constants/defaultLayouts";
import { Image } from "./styles";
export const Icon = ({ src, className, id, margin = DEFAULT_ICON_MARGIN, padding = DEFAULT_ICON_PADDING, border = NONE, borderRadius = DEFAULT_BORDER_RADIUS, backgroundColor, width = DEFAULT_WIDTH, height = DEFAULT_HEIGHT, opacity = DEFAULT_OPACITY, onClick, }) => (React.createElement(Image, { src: src, className: className, onClick: onClick, width: width, height: height, id: id, margin: margin, padding: padding, border: border, borderRadius: borderRadius, backgroundColor: backgroundColor, opacity: opacity }));
//# sourceMappingURL=Icon.js.map