import { Warning } from "@material-ui/icons";
import React from "react";
import { DataState } from "./DataState";
export const ErrorState = ({ messages, image, children, hideErrorHeader, }) => {
    const defaultMessages = [
        (messages === null || messages === void 0 ? void 0 : messages[0]) || "Something went wrong",
        (messages === null || messages === void 0 ? void 0 : messages[1]) || "",
    ];
    return (React.createElement(DataState, { messages: defaultMessages, image: image || React.createElement(Warning, null), hideErrorHeader: hideErrorHeader }, children));
};
//# sourceMappingURL=ErrorState.js.map