export interface BaseFormat {
    format: string;
    description: string;
    id?: string;
}
export interface AmountFormat extends BaseFormat {
    length: number;
    trailingCharacter: string;
    hasDecimalSeparator: boolean;
    decimalSeparator?: string;
    hasThousandsSeparator: boolean;
    thousandsSeparator?: string;
    isSigned: boolean;
    hasDecimals: boolean;
}
