import { Dispatch, SetStateAction } from "react";
import { TableProps } from "../types";
export declare const ROW_ACTIONS_WIDTH = 30;
export interface TableConfirmActionsProps<T> extends Pick<TableProps<T>, "tableStatus" | "actions" | "setTableStatus"> {
    row: T;
    newRow: T;
    notify?: boolean;
    setRow?: Dispatch<SetStateAction<T>>;
}
export declare const TableConfirmActions: <T>({ row, newRow, notify, setRow, actions, tableStatus, setTableStatus, }: TableConfirmActionsProps<T>) => JSX.Element;
