import { TableCell } from "@material-ui/core";
import React from "react";
import { useTableRowStyles } from "./styles";
import { TableLoadingRow } from "./TableLoadingRow";
export const TableDeleteRow = ({ columns, tableStatus, }) => {
    const classes = useTableRowStyles();
    return (React.createElement(React.Fragment, null, (tableStatus === null || tableStatus === void 0 ? void 0 : tableStatus.loading) ? (React.createElement(TableLoadingRow, { columns: columns })) : (React.createElement(TableCell, { className: classes.slimmerRow, colSpan: columns.length, onClick: (event) => event.stopPropagation() }, "Are you sure you want to delete this row?"))));
};
//# sourceMappingURL=TableDeleteRow.js.map