export const getActionsCount = (actions) => {
    const rowActions = [
        actions === null || actions === void 0 ? void 0 : actions.onRowDelete,
        actions === null || actions === void 0 ? void 0 : actions.onRowEdit,
        actions === null || actions === void 0 ? void 0 : actions.rowActions,
    ].filter((action) => action !== undefined).length;
    const headerActions = [actions === null || actions === void 0 ? void 0 : actions.onRowAdd, actions === null || actions === void 0 ? void 0 : actions.headerActions].filter((action) => action !== undefined).length;
    const actionsCount = rowActions > headerActions ? rowActions : headerActions;
    return { actionsCount, rowActions, headerActions };
};
//# sourceMappingURL=getActionsCount.js.map